
Foreman - Feature #32328

Distinguish between "regular" hosts and hosts on which Foreman and/or smart proxy runs - models

and fact processing
Assignee: Adam Ruzicka   
Target version:    

Difficulty:  Fixed in Releases: 3.1.0
Description

Related issues:

Related to Foreman - Tracker #32324: Distinguish between "regular" hosts and ... New

Associated revisions

Revision 7f01e1b3 - 10/21/2021 12:20 PM - Adam Ruzicka

Fixes #32328 - Infrastructure roles

Introduces things needed to assign infrastructure roles to hosts.

A host can now have an infrastructure facet, which can be used to mark a

host as foreman instance by setting a flag on the facet. The facet can

also be used to establish a relationship between the host and a smart

proxy.

This model allows us to know which hosts form a foreman instance and

which form a specific proxy. This can be leveraged to require different

set of permissions when performing actions against such hosts.

Roles can be modified using newly introduced APIs and queried using the

APIs or scoped search queries on hosts.

History

#1 - 04/15/2021 12:45 PM - Adam Ruzicka

- Related to Tracker #32324: Distinguish between "regular" hosts and hosts on which Foreman and/or smart proxy runs added

#2 - 04/15/2021 12:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8254 added

#3 - 07/01/2021 02:48 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8632 added

#4 - 10/21/2021 12:20 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/21/2021 01:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed
Applied in changeset foreman|7f01e1b3a3ae6c0c5667928479e5fc5bedbaed5a.

#6 - 11/16/2021 10:55 AM - Amit Upadhye

- Category set to Inventory
